Software/Sovran_SystemsOS_Updater/Updater Source Files/Update_Sovran_SystemsOS.sh

59 lines
1.2 KiB
Bash
Raw Normal View History

2023-05-22 19:32:08 -07:00
#!/usr/bin/env bash
2023-05-22 14:32:15 -07:00
set -o nounset
curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |
2023-06-19 12:54:55 -07:00
zenity --text-info \
2023-12-01 10:02:36 -08:00
--title="Sovran_SystemsOS Updater" \
--width=1000 \
--height=700
2023-05-23 20:10:41 -07:00
if [[ $? -eq 1 ]]; then
2023-12-01 09:45:44 -08:00
exit 1
else
2023-12-01 09:45:44 -08:00
2023-12-03 23:49:39 -08:00
if ! ssh root@localhost 'flatpak update -y' |
zenity --progress \
--no-cancel \
--auto-close \
--pulsate \
2023-12-01 09:45:44 -08:00
--width=500 \
2023-12-03 23:49:39 -08:00
--text="Updating Flatpaks" \
--title="Sovran_SystemsOS Updater"; then
echo "Could Not Update Flatpaks -- Exiting" |
zenity --text-info \
--title="Sovran_SystemsOS Updater" \
--width=500 \
2023-12-01 09:45:44 -08:00
exit 1
2023-12-03 23:49:39 -08:00
2023-12-01 09:45:44 -08:00
fi
2023-12-03 23:49:39 -08:00
if ! xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'"; then
2023-12-01 09:45:44 -08:00
2023-12-03 23:49:39 -08:00
echo "Could Not Update Sovran_SystemsOS -- Exiting" |
zenity --text-info \
--title="Sovran_SystemsOS Updater" \
--width=500 \
2023-12-01 09:45:44 -08:00
exit 1
fi
2023-12-03 23:49:39 -08:00
zenity --info \
--ellipsize \
--no-wrap \
--width=400 \
--title="Sovran_SystemsOS Updater" \
--text="Yay Complete! Please Reboot When You Are Ready."
2023-06-19 12:54:55 -07:00
fi
2023-12-03 09:41:29 -08:00
2023-12-02 13:24:02 -08:00
exit 0